For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Nukio API
    • Authentication
    • Device
    • User
    • Geozone
    • Fleets
      • GETgroups
      • GETactivations
      • GETactivations by time
      • GETfleetMetadata
      • GETfleetData
      • GETfleetData range
    • Notifications
    • Routes
    • Passengers
    • Account Status
    • Nukio SDK
LogoLogo
Nukio APIFleets

fleetMetadata

||View as Markdown|
GET
https://app.nukio.mx/api/v1/eventdata/fleetmetadata/:startTime/:endTime/authorization
GET
/api/v1/eventdata/fleetmetadata/:startTime/:endTime/authorization
$curl https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization \
> -H "authorization: <apiKey>" \
> -H "Content-Type: application/json"
200Fleets_fleetMetadata_example
1{
2 "success": "1",
3 "metadata": [
4 {
5 "fleetId": "fleet-987654321",
6 "fleetName": "Northwest Delivery Fleet",
7 "deviceCount": 125,
8 "activeDevices": 120,
9 "lastUpdated": 1712000000,
10 "region": "Pacific Northwest"
11 },
12 {
13 "fleetId": "fleet-123456789",
14 "fleetName": "Southeast Service Fleet",
15 "deviceCount": 80,
16 "activeDevices": 78,
17 "lastUpdated": 1711995000,
18 "region": "Southeast US"
19 }
20 ],
21 "status_code": "200",
22 "hasUpdateDevicePrivileges": true
23}
Was this page helpful?
Previous

activations by time

Next

fleetData

Built with

Authentication

authorizationstring
API Key authentication via header

Path parameters

startTimestringRequired

start time of the events to call on EPOCH(use 0 as wildcard)

endTimestringRequired

end time of the events to call on EPOCH (use 0 as wildcard)

Response headers

pragmastring
:statusstring
expiresstring
accept-rangesstring
cache-controlstring
x-frame-optionsstring
x-xss-protectionstring
x-application-contextstring
x-content-type-optionsstring

Response

OK
successstring
metadatalist of any
status_codestring
hasUpdateDevicePrivilegesboolean